function Get-ITDADActiveServer
{
    [CmdletBinding()]
    Param
    (
        [int]
        $ExpireAgeDays = 30
    )

    Begin
    {
        Import-Module ActiveDirectory
        $OUsource = "OU=ITD,DC=ND,DC=GOV"
        $ExpireDate = (Get-Date).AddDays((-$ExpireAgeDays))
    }
    Process
    {
    Get-ADComputer -SearchBase $OUsource -Filter * -Properties Name,CanonicalName,operatingSystem,operatingSystemServicePack,LastLogonDate,Enabled | `
        Where-Object operatingSystem -Like "*Server*" | `
        Where-Object LastLogonDate -GT $ExpireDate | `
        Where-Object Enabled -EQ $true | `
        Select-Object Name,operatingSystem,operatingSystemServicePack,LastLogonDate,CanonicalName
    }
    End
    {
    }
}